Bug 1162618 - CVE-2014-8503 cross-binutils: binutils: stack overflow in objdump when parsing specially crafted ihex file [epel-all]
Summary: CVE-2014-8503 cross-binutils: binutils: stack overflow in objdump when parsin...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cross-binutils
Version: el6
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2014-8503
TreeView+ depends on / blocked
 
Reported: 2014-11-11 11:33 UTC by Vasyl Kaigorodov
Modified: 2017-08-18 14:50 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-18 14:50:29 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-11 11:33:01 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora EPEL.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-11-11 11:33:06 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1162607,1162618

# Description of your update
notes=Security fix for CVE-2014-8503

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1162607,1162618

Comment 2 Fedora Update System 2017-05-18 15:31:33 UTC
cross-binutils-2.28-1.el7 cross-gcc-7.0.1-0.4.el7.1.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 3 Fedora Update System 2017-06-19 14:52:00 UTC
cross-binutils-2.28-1.el7, cross-gcc-7.0.1-0.4.el7.1.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 4 Fedora Update System 2017-06-28 19:30:07 UTC
cross-binutils-2.25.1-31.el7.1 cross-gcc-4.8.5-16.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 5 Fedora Update System 2017-06-30 01:20:09 UTC
cross-binutils-2.25.1-31.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 6 Fedora Update System 2017-07-14 09:50:45 UTC
cross-binutils-2.27-9.el7.1 cross-gcc-4.8.5-16.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 7 Fedora Update System 2017-07-14 18:50:31 UTC
cross-binutils-2.27-9.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a8886eb42e

Comment 8 Fedora Update System 2017-08-18 14:50:29 UTC
cross-binutils-2.27-9.el7.1, cross-gcc-4.8.5-16.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.